#!/usr/bin/ksh

#-----------------------------------------------------------------------------------------
#--
#-- Copyright (c) 2009-2012 ProactiveRA
#--
#-- This script is free software; you can redistribute it and/or modify it under
#-- the terms of the GNU Lesser General Public License as published by the Free
#-- Software Foundation; either version 3 of the License, or (at your option)
#-- any later version.
#--
#-- This script is distributed in the hope that it will be useful, but WITHOUT
#-- ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
#-- FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
#-- details.
#--
#-- You should have received a copy of the GNU Lesser General Public License
#-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
#--
#-----------------------------------------------------------------------------------------


if [[ $# = 0 ]];then
  running_mode=interactive
else
  running_mode=batch
fi

if [[ $running_mode = "batch" ]];then
  if [[ $1 = 1 ]]; then    # Sample Platform
	./extract_and_load.ksh 1
	sleep 5
	./reconcile.ksh 1  # Intra-Reconciliation Sample Platform
  fi
  if [[ $1 = 2 ]]; then    # Other Platform
	./extract_and_load.ksh 2 
	sleep 5
	./reconcile.ksh 3  # Intra-Reconciliation Other Platform
  fi
fi
